Page MenuHomePhabricator

Stop analytics-wmde-scripts/blob/master/src/wikidata/social/googleplus.php script
Closed, ResolvedPublic3 Story Points

Description

Google plus is stopping, and the API will be stopping.

Right now we call the API to see how well wikidata is followed on google plus

The script can be found in analytics/wmde/scripts on gerrit

We should stop doing that:

  • Stop the script from being called in cron
  • Remove the script
  • Remove the config used for the gplus API
  • Ask for the values used in the config to be removed from the operations private git repo (file a ticket)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 5 2019, 9:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as Low priority.Mar 5 2019, 9:56 AM
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
alaa_wmde set the point value for this task to 3.Mar 12 2019, 3:58 PM
Addshore updated the task description. (Show Details)Mar 12 2019, 3:59 PM

While checking the logs for where this runs, looks like it is also starting to error:

PHP Notice:  Undefined property: stdClass::$circledByCount in /srv/analytics-wmde/graphite/src/scripts/src/wikidata/social/googleplus.php on line 36

The last part of check list is not done but everything else is done and also it just got deployed.

Ladsgroup updated the task description. (Show Details)Apr 10 2019, 2:30 PM

Change 502801 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[labs/private@master] Remove google api key from wmde_secrets

https://gerrit.wikimedia.org/r/502801

Change 502801 merged by Alexandros Kosiaris:
[labs/private@master] Remove google api key from wmde_secrets

https://gerrit.wikimedia.org/r/502801

akosiaris closed this task as Resolved.Apr 10 2019, 2:38 PM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

dummy private repo updated, so is the actual private repo. Resolving, thanks!

akosiaris updated the task description. (Show Details)Apr 10 2019, 2:38 PM